SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000395SOGoWeb Generalpublic2010-01-26 13:552012-04-18 16:18
Reporterludovic 
Assigned Toludovic 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.2.0 
Target VersionFixed in Version1.3.15 
Summary0000395: Groups support for "automatically subscribe user"
DescriptionWhen we share a resource (calendar/address book) with a user, we can automatically subscribe him/her to it.

We must also handle the case there for groups - where we would automatically subscribe everyone part of the group to the resource.

We should also think about a way to handle changes in the group... but it's hard.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0000973)
wcronen (reporter)
2010-04-20 13:33

vote +1

I think this is a must-have feature for every company and it'd be great to have such a feature also in SOGo.

It should not be to hard to handle changes of groups if you test the group-membership against the ldap/mysql-server at login time.
(0001635)
alessio (reporter)
2010-10-20 11:22

vote +1 must have
Very very useful for big group
(0001743)
alessio (reporter)
2010-11-09 10:21

Assigned to 1.2.2?
(0001827)
zulk (reporter)
2010-11-16 09:05

I was be very useful feature in distributed organization.
(0002122)
ancker (reporter)
2011-02-17 12:13

Very important this implementation.
(0002123)
perk (reporter)
2011-02-17 13:16

This would be a VERY handy feature!
+1
(0002135)
jakob42 (reporter)
2011-02-21 03:30

IMHO very useful!
But most importantly, *if* implemented, it would need support changes in the groups, ie periodicly checking if the users are still members of the group or if new members were added.
(0002136)
alessio (reporter)
2011-02-21 03:34

If a user is add to a group, he should automatically subscribe all calenders/address books of the group.
If he's removed sogo should check if there is any user permission.
User avatar (0002137)
ludovic (administrator)
2011-02-21 09:03

We could, upon login, check if a user is still member of a group and if not, remove any associated resource subscriptions.

We can't really do the opposite, ie., if a new member gets added to a group behind SOGo's back.

For this, the resource owner could go back in his/her sharing option and hit again "subscribe" to force all group members to be subscribed again.
(0002138)
jakob42 (reporter)
2011-02-21 10:00

I guess those workaround could work for most people. At least for us it would be very usable this way, I could explain my users why this is necessary.

Would the logged in user still be able to access the data of the calendar even though he doesn't have the access rights for several hours anymore? (Well, there would be the feature request for deleting a users session useful. :))
(0002284)
roms (reporter)
2011-03-22 05:05

Any news about this "important" feature ?
(0002470)
tolivier (reporter)
2011-05-12 09:47

+1
(0002828)
alessio (reporter)
2011-08-26 06:16

Any news?
(0002829)
jakob42 (reporter)
2011-08-26 07:26

ludovic mentioned a workaround a few posts ago. I think that would be allright most of the time, at least as a simple solution. And maybe there could be a script that could be run by cron (at nights or so) that would additionally to the ideas above check if the groups have changed. Then the access rights would be at least consistent every 24h.
(0002830)
alessio (reporter)
2011-08-26 08:38

My system do some action every time group are modified yet, if ludovic says what type of action i need for update groups, i'm happy ;-)
workaround is ok for me
(0003199)
alessio (reporter)
2011-12-27 04:34

is there any problem to implement it?
User avatar (0003770)
ludovic (administrator)
2012-04-18 16:17

Fixed.

- Issue History
Date Modified Username Field Change
2010-01-26 13:55 ludovic New Issue
2010-02-23 09:23 ludovic Status new => assigned
2010-02-23 09:23 ludovic Assigned To => ludovic
2010-02-23 09:23 ludovic Target Version => 1.2.2
2010-04-12 15:33 ludovic Target Version 1.2.2 =>
2010-04-20 13:33 wcronen Note Added: 0000973
2010-10-20 11:22 alessio Note Added: 0001635
2010-11-09 10:21 alessio Note Added: 0001743
2010-11-16 09:05 zulk Note Added: 0001827
2010-11-16 12:15 alessio Note Added: 0001839
2010-11-16 12:48 ludovic Note Deleted: 0001839
2011-02-17 12:13 ancker Note Added: 0002122
2011-02-17 13:16 perk Note Added: 0002123
2011-02-21 03:30 jakob42 Note Added: 0002135
2011-02-21 03:34 alessio Note Added: 0002136
2011-02-21 09:03 ludovic Note Added: 0002137
2011-02-21 10:00 jakob42 Note Added: 0002138
2011-03-22 05:05 roms Note Added: 0002284
2011-05-12 09:47 tolivier Note Added: 0002470
2011-08-26 06:16 alessio Note Added: 0002828
2011-08-26 07:26 jakob42 Note Added: 0002829
2011-08-26 08:38 alessio Note Added: 0002830
2011-12-27 04:34 alessio Note Added: 0003199
2012-04-18 16:17 ludovic Note Added: 0003770
2012-04-18 16:17 ludovic Status assigned => resolved
2012-04-18 16:17 ludovic Fixed in Version => 1.3.15
2012-04-18 16:17 ludovic Resolution open => fixed
2012-04-18 16:18 ludovic Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker